# IntegerType Class Reference
[Supported meta-types]

Inheritance diagram for IntegerType:
[legend]

List of all members.

## Public Member Functions

| getSize ()
| getPrimitiveName ()
| setDefault ($default)
| getDeclaration ()
| isMeasurable ()
| toColumnType ()

## Detailed Description

Definition at line 15 of file IntegerType.class.php.

## Member Function Documentation

IntegerType::getDeclaration | ( |  | ) |

Reimplemented from BasePropertyType.

Definition at line 43 of file IntegerType.class.php.

References BasePropertyType::hasDefault().

Here is the call graph for this function:

IntegerType::getPrimitiveName | ( |  | ) |

Reimplemented from BasePropertyType.

Reimplemented in FloatType, and InetType.

Definition at line 22 of file IntegerType.class.php.

IntegerType::getSize | ( |  | ) |

Reimplemented in BigIntegerType, InetType, SmallIntegerType, UnsignedBigIntegerType, UnsignedIntegerType, and UnsignedSmallIntegerType.

Definition at line 17 of file IntegerType.class.php.

IntegerType::isMeasurable | ( |  | ) |

Reimplemented from BasePropertyType.

Reimplemented in FloatType.

Definition at line 51 of file IntegerType.class.php.

IntegerType::setDefault | ( | $ | default | ) |

Exceptions:

  | WrongArgumentException |

Returns:
  IntegerType

Reimplemented from BasePropertyType.

Reimplemented in FloatType, and InetType.

Definition at line 31 of file IntegerType.class.php.

References BasePropertyType::$default, and Assert::isInteger().

Here is the call graph for this function:

IntegerType::toColumnType | ( |  | ) |

Reimplemented from BasePropertyType.

Reimplemented in BigIntegerType, DoubleType, FloatType, NumericType, SmallIntegerType, UnsignedBigIntegerType, UnsignedIntegerType, and UnsignedSmallIntegerType.

Definition at line 56 of file IntegerType.class.php.

The documentation for this class was generated from the following file:

- meta/types/IntegerType.class.php